Retrieve a widget
GET
/v1/widget/{id}/
const url = 'https://example.com/v1/widget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/widget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single widget by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this widget.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
format
string
custom_min_step
integer
dashboard
required
string format: uuid
default_min_step
required
string
hideable
boolean
hidden
required
string
graph
0- Line Chart1- Stacked Area Chart2- Pie Chart3- Gauge4- Status History Chart5- Metric Value6- Status8- Text9- Image10- Heatmap Status11- Bar Chart
integer
graph_subtype
0- Status Round1- Status Smiley2- Status Image100- Heatmap with Value101- Heatmap with Status
integer
grid_height
integer
grid_width
integer
grid_x
integer
grid_y
integer
id
required
string format: uuid
image
string format: uri
interval
0- 1h2- 6h3- 1d4- 1w5- 1m6- 1y
integer
max_value
number format: double
metrics
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
color
string
id
string format: uuid
metric
string format: uuid
metric_agent
required
string format: uuid
metric_description
required
string
metric_display_name
required
string
metric_item
required
string
metric_label
required
string
metric_labels
required
object
key
additional properties
string
metric_name
string
metric_name_item
string
metric_simple_mode_labels
string
metric_period
required
string
metric_service
required
string format: uuid
operation
string format: uuid
operation_argument1_value
string
order
integer
promql_query
string
legend_template
string
min_value
number format: double
min_step
required
string
order
integer
title
string
unit
0- No unit1- %2- byte3- bit4- io/s5- /s6- second7- Custom8- day9- °C10- byte/s11- bit/s12- Hz13- W
integer
widgetannotations
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
string format: uuid
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
widget
required
string format: uuid
metricannotations
required
string
Example
{ "graph": 0, "graph_subtype": 0, "interval": 0, "unit": 0}